require "player"
require "camera"
require "bullet"

function love.load()
	--loading libraries
	player.load()
	--
	
	screenWidth = love.graphics.getWidth()
	screenHeight = love.graphics.getHeight()
end

function love.update(dt)
	camera:set()
	UPDATE_PLAYER(dt)
	UPDATE_BULLET(dt)
	camera:unset()
end

function love.draw()
	DRAW_PLAYER()
	DRAW_BULLET()
end

function love.keypressed(key)
	player.animreset(key)
	player.shoot(key)
end